[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

How to make Fedora4 build threadsafe for Postgresql?



I received the following problems while trying to build postgresql-8.1.3 on FedoraCore4. Can anyone provide any feedback or suggestions for help?

-Matt


Date: Tue, 28 Feb 2006 23:34:45 -0600
To: pgsql-ports postgresql org
Subject: [PORTS] How to make Fedora4 build threadsafe?
List-Archive: <http://archives.postgresql.org/pgsql-ports>

I experienced this error while running this ./configure:

./configure --enable-thread-safety --prefix=/cgrid/local/postgresql

on FedoraCore4:

checking thread safety of required library functions... no
configure: error:
*** Thread test program failed.  Your platform is not thread-safe.
*** Check the file 'config.log'for the exact reason.
***
*** You can use the configure option --enable-thread-safety-force
*** to force threads to be enabled.  However, you must then run
*** the program in src/tools/thread and add locking function calls
*** to your applications to guarantee thread safety.

[mengland localhost postgresql-8.1.3]$


Is there anything I can do to fix this? Install some extra/different libraries? (I'm trying a ./configure run after installing "linuxthreads-devel" right now.)

I didn't have this problem building 8.1.0/8.1.1 with the same procedure on Centos4.1 and Debian3.1 (sarge) systems, for whatever that's worth.

-Matt


Date: Tue, 28 Feb 2006 23:57:53 -0600
To: pgsql-ports postgresql org
Subject: Re: [PORTS] How to make Fedora4 build threadsafe?

At 2/28/2006 11:34 PM, Matt England wrote:
checking thread safety of required library functions... no
configure: error:
*** Thread test program failed.  Your platform is not thread-safe.
*** Check the file 'config.log'for the exact reason.

For what it's worth, this seems to be pertinent part of config.log:

[...]
configure:16424: checking for the pthreads library -lpthreads
configure:16462: gcc -o conftest -O2 -Wall -Wmissing-prototypes -Wpointer-arith -Winline -Wdeclaration-after-statement -Wendif-labels -fno-strict-aliasing -D_GNU_SOURCE conftest.c -lpthreads -lz -lreadline -ltermcap -lcrypt -lresolv -lnsl -ldl -lm -lbsd >&5
conftest.c: In function 'main':
conftest.c:125: warning: 'th' is used uninitialized in this function
/usr/bin/ld: cannot find -lpthreads
collect2: ld returned 1 exit status
configure:16468: $? = 1
configure: failed program was:
| /* confdefs.h.  */
|
| #define PACKAGE_NAME "PostgreSQL"
[...]


...although the thing is so long that it's hard to tell.

I couldn't find a pthreads library/package/thing anywhere, or at least not yet. My system *does* have a /usr/lib/libpthread.so (singular), but no libpthreads (plural). Installing linuxpthreads-devel didn't solve anything.

Any thoughts?

-Matt


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]